#pragma once

#include "v3.h"
#include "framebuffer.h"
#include "ppc.h"

class TM{
public:
	V3 *verts;
	int vertsN;
	unsigned int *tris;
	int trisN;
	TM() : verts(0), vertsN(0), tris(0), trisN(0) {};
	void SetRectangle(float rw, float rh);
	void AllocateMemory();
	void Translate(V3 tv);
	void RenderWF(FrameBuffer *fb, PPC *ppc);
	V3 Centroid();
};
